diff --git a/dlls/quartz/tests/memallocator.c b/dlls/quartz/tests/memallocator.c
index 37df9a24b..164f3af47 100644
--- a/dlls/quartz/tests/memallocator.c
+++ b/dlls/quartz/tests/memallocator.c
@@ -457,193 +457,193 @@ static void test_sample_properties(void)
     expect_mt.pbFormat = NULL;
 
     hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemAllocator_Commit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemAllocator_GetBuffer(allocator, &sample, NULL, NULL, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_QueryInterface(sample, &IID_IMediaSample2, (void **)&sample2);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetPointer(sample, &data);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwTypeSpecificFlags, "Got type-specific flags %#lx.\n", props.dwTypeSpecificFlags);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
-    ok(props.lActual == 65536, "Got actual length %ld.\n", props.lActual);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwTypeSpecificFlags, "Got type-specific flags %#x.\n", props.dwTypeSpecificFlags);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
+    ok(props.lActual == 65536, "Got actual length %d.\n", props.lActual);
     ok(!props.tStart, "Got sample start %s.\n", wine_dbgstr_longlong(props.tStart));
-    ok(!props.dwStreamId, "Got stream ID %#lx.\n", props.dwStreamId);
+    ok(!props.dwStreamId, "Got stream ID %#x.\n", props.dwStreamId);
     ok(!props.pMediaType, "Got media type %p.\n", props.pMediaType);
     ok(props.pbBuffer == data, "Expected pointer %p, got %p.\n", data, props.pbBuffer);
-    ok(props.cbBuffer == 65536, "Got buffer length %ld.\n", props.cbBuffer);
+    ok(props.cbBuffer == 65536, "Got buffer length %d.\n", props.cbBuffer);
 
     /* media type */
 
     mt = (AM_MEDIA_TYPE *)0xdeadbeef;
     hr = IMediaSample_GetMediaType(sample, &mt);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     ok(!mt, "Got media type %p.\n", mt);
 
     hr = IMediaSample_SetMediaType(sample, NULL);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     mt = (AM_MEDIA_TYPE *)0xdeadbeef;
     hr = IMediaSample_GetMediaType(sample, &mt);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     ok(!mt, "Got media type %p.\n", mt);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
     ok(!props.pMediaType, "Got media type %p.\n", props.pMediaType);
 
     hr = IMediaSample_SetMediaType(sample, &expect_mt);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample_GetMediaType(sample, &mt);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(!memcmp(mt, &expect_mt, sizeof(AM_MEDIA_TYPE)), "Media types didn't match.\n");
     CoTaskMemFree(mt);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(props.dwSampleFlags == AM_SAMPLE_TYPECHANGED, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(props.dwSampleFlags == AM_SAMPLE_TYPECHANGED, "Got flags %#x.\n", props.dwSampleFlags);
     ok(!memcmp(props.pMediaType, &expect_mt, sizeof(AM_MEDIA_TYPE)), "Media types didn't match.\n");
 
     hr = IMediaSample_SetMediaType(sample, NULL);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     mt = (AM_MEDIA_TYPE *)0xdeadbeef;
     hr = IMediaSample_GetMediaType(sample, &mt);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     ok(!mt, "Got media type %p.\n", mt);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
     ok(!props.pMediaType, "Got media type %p.\n", props.pMediaType);
 
     /* actual length */
 
     len = IMediaSample_GetActualDataLength(sample);
-    ok(len == 65536, "Got length %ld.\n", len);
+    ok(len == 65536, "Got length %d.\n", len);
 
     hr = IMediaSample_SetActualDataLength(sample, 65537);
-    ok(hr == VFW_E_BUFFER_OVERFLOW, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_BUFFER_OVERFLOW, "Got hr %#x.\n", hr);
     hr = IMediaSample_SetActualDataLength(sample, -1);
-    ok(hr == VFW_E_BUFFER_OVERFLOW || broken(hr == S_OK), "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_BUFFER_OVERFLOW || broken(hr == S_OK), "Got hr %#x.\n", hr);
     hr = IMediaSample_SetActualDataLength(sample, 65536);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_SetActualDataLength(sample, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     len = IMediaSample_GetActualDataLength(sample);
-    ok(len == 0, "Got length %ld.\n", len);
+    ok(len == 0, "Got length %d.\n", len);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(props.lActual == 0, "Got actual length %ld.\n", props.lActual);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(props.lActual == 0, "Got actual length %d.\n", props.lActual);
 
     props.lActual = 123;
     hr = IMediaSample2_SetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(props.lActual == 123, "Got actual length %ld.\n", props.lActual);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(props.lActual == 123, "Got actual length %d.\n", props.lActual);
 
     len = IMediaSample_GetActualDataLength(sample);
-    ok(len == 123, "Got length %ld.\n", len);
+    ok(len == 123, "Got length %d.\n", len);
 
     /* boolean flags */
 
     hr = IMediaSample_IsPreroll(sample);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     hr = IMediaSample_SetPreroll(sample, TRUE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_IsPreroll(sample);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(props.dwSampleFlags == AM_SAMPLE_PREROLL, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(props.dwSampleFlags == AM_SAMPLE_PREROLL, "Got flags %#x.\n", props.dwSampleFlags);
     hr = IMediaSample_SetPreroll(sample, FALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_IsPreroll(sample);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
 
     hr = IMediaSample_IsDiscontinuity(sample);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     hr = IMediaSample_SetDiscontinuity(sample, TRUE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_IsDiscontinuity(sample);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(props.dwSampleFlags == AM_SAMPLE_DATADISCONTINUITY, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(props.dwSampleFlags == AM_SAMPLE_DATADISCONTINUITY, "Got flags %#x.\n", props.dwSampleFlags);
     hr = IMediaSample_SetDiscontinuity(sample, FALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_IsDiscontinuity(sample);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
 
     hr = IMediaSample_IsSyncPoint(sample);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     hr = IMediaSample_SetSyncPoint(sample, TRUE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_IsSyncPoint(sample);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(props.dwSampleFlags == AM_SAMPLE_SPLICEPOINT, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(props.dwSampleFlags == AM_SAMPLE_SPLICEPOINT, "Got flags %#x.\n", props.dwSampleFlags);
     hr = IMediaSample_SetSyncPoint(sample, FALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_IsSyncPoint(sample);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
 
     props.dwSampleFlags = (AM_SAMPLE_PREROLL | AM_SAMPLE_DATADISCONTINUITY | AM_SAMPLE_SPLICEPOINT);
     hr = IMediaSample2_SetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_IsPreroll(sample);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_IsDiscontinuity(sample);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_IsSyncPoint(sample);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(props.dwSampleFlags == (AM_SAMPLE_PREROLL | AM_SAMPLE_DATADISCONTINUITY | AM_SAMPLE_SPLICEPOINT),
-            "Got flags %#lx.\n", props.dwSampleFlags);
+            "Got flags %#x.\n", props.dwSampleFlags);
 
     hr = IMediaSample_SetMediaType(sample, &expect_mt);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     IMediaSample2_Release(sample2);
     IMediaSample_Release(sample);
 
     hr = IMemAllocator_GetBuffer(allocator, &sample, NULL, NULL, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMediaSample_QueryInterface(sample, &IID_IMediaSample2, (void **)&sample2);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMediaSample2_GetProperties(sample2, sizeof(props), (BYTE *)&props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!props.dwTypeSpecificFlags, "Got type-specific flags %#lx.\n", props.dwTypeSpecificFlags);
-    ok(!props.dwSampleFlags, "Got flags %#lx.\n", props.dwSampleFlags);
-    ok(props.lActual == 123, "Got actual length %ld.\n", props.lActual);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!props.dwTypeSpecificFlags, "Got type-specific flags %#x.\n", props.dwTypeSpecificFlags);
+    ok(!props.dwSampleFlags, "Got flags %#x.\n", props.dwSampleFlags);
+    ok(props.lActual == 123, "Got actual length %d.\n", props.lActual);
     ok(!props.tStart, "Got sample start %s.\n", wine_dbgstr_longlong(props.tStart));
-    ok(!props.dwStreamId, "Got stream ID %#lx.\n", props.dwStreamId);
+    ok(!props.dwStreamId, "Got stream ID %#x.\n", props.dwStreamId);
     ok(!props.pMediaType, "Got media type %p.\n", props.pMediaType);
-    ok(props.cbBuffer == 65536, "Got buffer length %ld.\n", props.cbBuffer);
+    ok(props.cbBuffer == 65536, "Got buffer length %d.\n", props.cbBuffer);
 
     IMediaSample2_Release(sample2);
     IMediaSample_Release(sample);
